### Method

# Camel MimeFilter backup

#### Declaration [src]

    void
    camel_mime_filter_backup (
      CamelMimeFilter* filter,
      const gchar* data,
      gsize length
    )

#### Description [src]

Saves `data` to be used as prespace input data to the next call to `camel_mime_filter_filter()` or camel_mime_filter_complete().

Note: New calls replace old data.

#### Parameters

`data`

  Type: An array of `guint8`

  Data buffer to backup.

  The length of the array is specified in the `length` argument.
  The data is owned by the caller of the method.

`length`

  Type: `gsize`

  Length of `data`.